%global pypi_name renderspec
%global common_desc\
renderspec is a tool to convert a .spec.j2 Jinja2 template to a rpm .spec file\
which is usable for different distributions and follow their policies and\
processes.

# Python3 support for Fedora
%if 0%{?fedora}
%global with_python3 1
%endif

Name:           python-%{pypi_name}
Version:        1.7.0
Release:        1%{?dist}
Summary:        Jinja2 template renderer for generating .spec files

License:        ASL 2.0
URL:            http://docs.openstack.org/developer/renderspec/
Source0:        https://files.pythonhosted.org/packages/source/r/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
%description
%{common_desc}

%package -n     python2-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{pypi_name}}
BuildRequires:  python2-devel
BuildRequires:  python-pbr
BuildRequires:  python-testrepository
BuildRequires:  python-testresources
BuildRequires:  python-testtools
BuildRequires:  python-ddt
BuildRequires:  python-mock
BuildRequires:  python-sphinx
BuildRequires:  python-oslo-sphinx
BuildRequires:  python-setuptools
BuildRequires:  python-sphinx
# Required for tests
BuildRequires:  python-packaging
BuildRequires:  python-pymod2pkg
BuildRequires:  PyYAML

Requires:       python-jinja2 >= 2.8
Requires:       python-pymod2pkg >= 0.7.0
Requires:       PyYAML >= 3.10
Requires:       python-packaging >= 16.5
Requires:       python-six >= 1.9.0
Requires:       python-setuptools
%description -n python2-%{pypi_name}
%{common_desc}

%if 0%{?with_python3}
%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
BuildRequires:  python3-devel
BuildRequires:  python3-pbr
BuildRequires:  python3-testrepository
BuildRequires:  python3-testresources
BuildRequires:  python3-testtools
BuildRequires:  python3-ddt
BuildRequires:  python3-mock
BuildRequires:  python3-sphinx
BuildRequires:  python3-oslo-sphinx
BuildRequires:  python3-setuptools
# Required for tests
BuildRequires:  python3-packaging
BuildRequires:  python3-pymod2pkg
BuildRequires:  python3-PyYAML

Requires:       python3-jinja2 >= 2.8
Requires:       python3-pymod2pkg >= 0.7.0
Requires:       python3-PyYAML >= 3.10
Requires:       python3-packaging >= 16.5
Requires:       python3-six >= 1.9.0
Requires:       python3-setuptools

%description -n python3-%{pypi_name}
%{common_desc}
%endif


%package -n python-%{pypi_name}-doc
Summary:        renderspec documentation
%description -n python-%{pypi_name}-doc
Documentation for renderspec

%prep
%autosetup -n %{pypi_name}-%{version}
# Let's handle dependencies ourselves
rm -f *requirements.txt
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif
# generate html docs 
sphinx-build doc/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install.
%if 0%{?with_python3}
%py3_install
cp %{buildroot}/%{_bindir}/renderspec %{buildroot}/%{_bindir}/renderspec-%{python3_version}
ln -s %{_bindir}/renderspec-%{python3_version} %{buildroot}/%{_bindir}/renderspec-3
%endif

%py2_install
cp %{buildroot}/%{_bindir}/renderspec %{buildroot}/%{_bindir}/renderspec-%{python2_version}
ln -s %{_bindir}/renderspec-%{python2_version} %{buildroot}/%{_bindir}/renderspec-2

#%check
%{__python2} setup.py test
%if 0%{?with_python3}
rm -rf .testrepository
%{__python3} setup.py test
%endif

%files -n python2-%{pypi_name}
%license LICENSE
%doc README.rst
%{_bindir}/renderspec
%{_bindir}/renderspec-2
%{_bindir}/renderspec-%{python2_version}
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{_bindir}/renderspec-3
%{_bindir}/renderspec-%{python3_version}
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%endif

%files -n python-%{pypi_name}-doc
%license LICENSE
%doc html 

%changelog
* Wed Sep 20 2017 Javier Peña <jpena@redhat.com> - 1.7.0-1
- Initial package.
